VentureBeat消息,由于安全漏洞的原因,从1月5号起GitHub网站加密协议将不再支持RC4密码套件,导致的结果是Windows XP系统的用户使用IE浏览器将无法连接到GitHub。

微软此前已经不再支持对Windows XP的更新,Windows XP使用的都是过期的Socket套接层,因此极易受到攻击。GitHub建议受影响用户升级Windows系统,或者使用Chrome、Firefox等其他浏览器访问网站。

RC4是1987年由Ron Rivest负责开发的早期受到广泛应用的流密码套件。出于安全漏洞的原因,微软曾在2013年11月建议开发者舍弃RC4,当时仍有43%的网站使用该密码套件。微软随后详细阐述了RC4中key schedule算法的问题,并建议开发者转向安全传输层协议1.2版本。

[本文参考以下来源:venturebeat.com]

余下全文(1/3)

本文最初发表在36氪,文章内容属作者个人观点,不代表本站立场。

分享这篇文章:

请关注我们:

发表评论

电子邮件地址不会被公开。 必填项已用*标注